Bug 664214 - (ghc-gconf) Review Request: ghc-gconf - Binding to the GNOME configuration database system
Review Request: ghc-gconf - Binding to the GNOME configuration database system
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
low Severity medium
: ---
: ---
Assigned To: Nobody's working on this, feel free to take it
Fedora Extras Quality Assurance
NotReady
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-12-19 04:52 EST by Narasimhan
Modified: 2012-08-11 07:52 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-08-11 07:52:32 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Narasimhan 2010-12-19 04:52:51 EST
SRPM link : https://sites.google.com/site/lakshminaras2002/home/ghc-gconf-0.11.1-1.fc14.src.rpm?attredirects=0&d=1

SPEC file link : https://sites.google.com/site/lakshminaras2002/home/ghc-gconf.spec?attredirects=0&d=1

rpmlint output:

rpmlint  -i *.rpm ghc-gconf.spec
ghc-gconf-prof.x86_64: E: devel-dependency ghc-gconf-devel
Your package has a dependency on a devel package but it's not a devel package
itself.

ghc-gconf-prof.x86_64: W: no-documentation
The package contains no documentation (README, doc, etc). You have to include
documentation files.

ghc-gconf-prof.x86_64: W: devel-file-in-non-devel-package /usr/lib64/ghc-6.12.3/gconf-0.11.1/libHSgconf-0.11.1_p.a
A development file (usually source code) is located in a non-devel package. If
you want to include source code in your package, be sure to create a
development package.

4 packages and 1 specfiles checked; 1 errors, 2 warnings.

Will upgrade to 0.12.0 for >f15
Comment 1 Cristian Ciupitu 2010-12-25 14:36:13 EST
You need to include the text of the license in its documentation files. This is mandatory.

I would also suggest replacing the pkg_name macro with srcname which is less confusing, but this is entirely your choice.

On the other hand the common_description macro looks useless to me because it's used in a single place. Wouldn't be better if you removed it and used something like this?

   %description
   GConf is a configuration database ....
   %if %{with shared}
   This package provides the shared library.
   %endif

The same goes for common_summary.
Comment 2 Narasimhan 2010-12-25 23:02:12 EST
Hello,
There is a COPYING file in /usr/share/doc/ghc-gconf-{version}. That contains the license text.
Comment 3 Cristian Ciupitu 2010-12-25 23:55:27 EST
Sorry, you're right. I looked at rpmlint's output for ghc-gconf-prof and thought that it was for ghc-gconf.

As for the macros, I've noticed that xmonad uses a similar SPEC, so I guess your SPEC is fine from this point of view.

koji scratch build for other reviewers: http://koji.fedoraproject.org/koji/taskinfo?taskID=2689186
Comment 4 Jens Petersen 2011-01-28 06:07:29 EST
As earlier discussed on Fedora haskell-devel list,
dropping libraries for now from the toplevel of Haskell-pkg-reviews,
so we, the Haskell SIG, can focus more on getting Haskell apps into Fedora.

To get you library back under the tracker please submit a bin or binlib
package that depends on this library and make this bug block that package
review.  It is a good idea to submit full stacks of packages and then
to add the toplevel program to the tracker.
Comment 5 Narasimhan 2011-04-03 01:58:07 EDT
http://narasim.fedorapeople.org/package_reviews/ghc-gconf-0.11.1-2.fc14.src.rpm

http://narasim.fedorapeople.org/package_reviews/ghc-gconf.spec

rpmlint  -i ghc-gconf.spec ~/rpmbuild/SRPMS/ghc-gconf-0.11.1-2.fc14.src.rpm ~/rpmbuild/RPMS/i686/ghc-gconf-*.rpm
ghc-gconf-prof.i686: E: devel-dependency ghc-gconf-devel
Your package has a dependency on a devel package but it's not a devel package
itself.

ghc-gconf-prof.i686: W: no-documentation
The package contains no documentation (README, doc, etc). You have to include
documentation files.

ghc-gconf-prof.i686: W: devel-file-in-non-devel-package /usr/lib/ghc-6.12.3/gconf-0.11.1/libHSgconf-0.11.1_p.a
A development file (usually source code) is located in a non-devel package. If
you want to include source code in your package, be sure to create a
development package.

4 packages and 1 specfiles checked; 1 errors, 2 warnings.

0.11.2 version may not build with F15 and rawhide. Will upgrade to 0.12 for > F15.
Comment 6 Jens Petersen 2011-09-21 12:08:43 EDT
Not too many reverse deps: http://packdeps.haskellers.com/reverse/gconf
Comment 7 JudeNagurney 2012-04-18 01:21:46 EDT
I'm commenting on this bug as per https://bugzilla.redhat.com/show_bug.cgi?id=656892#c11.

You might want to rebuild the spec file with the latest cabal2spec which is at version 0.25.4 now.

Besides that, comment #5 covers the other comments I would have made.
Comment 8 Narasimhan 2012-08-11 07:52:58 EDT
Closing this bug.

Note You need to log in before you can comment on or make changes to this bug.